Loading...
Searching...
No Matches
casacore::WrapperData_FV< T, T, Vector< T >, False, True > Class Template Reference
scimath package (libcasa_scimath) » Functionals_module

Specialization for calls with no arguments and parameters. More...

`#include <WrapperData.h>`

## Public Member Functions

| WrapperData_FV (T(*f)(const Vector< T > &))
virtual | ~WrapperData_FV ()
virtual T | eval (typename Function< T >::FunctionArg, const Vector< T > &par) const
| Evaluate the function at x.
Public Member Functions inherited from casacore::WrapperBase< T >
| WrapperBase ()
| Default constructor: zero dimension.
| WrapperBase (const uInt dim)
| Standard constructor.
virtual | ~WrapperBase ()
| Destructor.
virtual uInt | ndim () const
| Get the dimensionality.

## Protected Attributes

T(* | pf_p )(const Vector< T > &)
Protected Attributes inherited from casacore::WrapperBase< T >
uInt | ndim_p
| Dimensionality.
Vector< T > | arg_p
| Vector argument interface.

## Private Types

typedef WrapperData_FV< T, T, Vector< T >, False, True > | myData

## Private Member Functions

| WrapperData_FV (const myData &other)
myData & | operator= (const myData &other)

## Detailed Description

template<class T>
class casacore::WrapperData_FV< T, T, Vector< T >, False, True >

Specialization for calls with no arguments and parameters.

### Synopsis

Note that the actual name of the class is WrapperData. The special name is only for the use of cxx2html.

Definition at line 322 of file WrapperData.h.

## Member Typedef Documentation

## myData

template<class T>

typedef WrapperData_FV<T,T,Vector<T>,False,True> casacore::WrapperData_FV< T, T, Vector< T >, False, True >::myData

private

Definition at line 324 of file WrapperData.h.

## Constructor & Destructor Documentation

## WrapperData_FV() [1/2]

template<class T>

casacore::WrapperData_FV< T, T, Vector< T >, False, True >::WrapperData_FV | ( | T(* | f )(const Vector< T > &) | ) |

inline explicit

Definition at line 327 of file WrapperData.h.

References pf_p, and casacore::WrapperBase< T >::WrapperBase().

## ~WrapperData_FV()

template<class T>

virtual casacore::WrapperData_FV< T, T, Vector< T >, False, True >::~WrapperData_FV | ( |  | ) |

inline virtual

Definition at line 329 of file WrapperData.h.

## WrapperData_FV() [2/2]

template<class T>

casacore::WrapperData_FV< T, T, Vector< T >, False, True >::WrapperData_FV | ( | const myData & | other | ) |

private

## Member Function Documentation

## eval()

template<class T>

virtual T casacore::WrapperData_FV< T, T, Vector< T >, False, True >::eval | ( | typename Function< T >::FunctionArg | x,
|  | const Vector< T > & | par ) const

inline virtual

Evaluate the function at x.

Implements casacore::WrapperBase< T >.

Definition at line 330 of file WrapperData.h.

References pf_p.

## operator=()

template<class T>

myData & casacore::WrapperData_FV< T, T, Vector< T >, False, True >::operator= | ( | const myData & | other | ) |

private

References casacore::WrapperBase< T >::arg_p, casacore::WrapperBase< T >::ndim_p, and casacore::WrapperBase< T >::WrapperBase().

## Member Data Documentation

## pf_p

template<class T>

T(* casacore::WrapperData_FV< T, T, Vector< T >, False, True >::pf_p) (const Vector< T > &)

protected

Definition at line 336 of file WrapperData.h.

Referenced by eval(), and WrapperData_FV().

The documentation for this class was generated from the following file:

- scimath/Functionals/WrapperData.h